#! /bin/sh
# Shell script to convert an Analog language file to a fwAnalog one.
# Usage: mklangfile.fr.sh {infile} [> outfile]

cat $1 \
	| sed 's/requtes/paquets bloqus/g' \
	| sed 's/requte/paquet bloqu/g' \
	| sed 's/rpertoires/paquets bloqus/' \
	| sed 's/rpertoire/paquet bloqu/' \
	| sed "s/^URL/port d'origine/" \
	| sed 's/Statistiques du serveur Web/Statistiques du firewall, cr par/g' \
	| sed 's/hte virtuel/interface/g' \
	| sed 's/Rapport par hte/Rapport par source de paquets/' \
	| sed 's/Rapport par rpertoire/Rapport des paquets bloqus/g' \
	| sed "s/Rapport par provenance/Rapport par port d'origine/" \
	| sed "s/sites de provenance/ports d'origine/g" \
	| sed "s/site de provenance/port d'origine/g" \
	| sed 's/navigateurs/adresses MAC/g' \
	| sed 's/navigateur/adresse MAC/g' \
	| sed 's/Requtes russies/Requtes bloques/g' \
	| sed 's/Htes distincts servis/Htes distincts bloqus/g' \
	| sed 's/Donnes transfres/Taille totale de tous les paquets bloqus/g' \
	| sed 's/Quantit moyenne journalire de donnes transfres/Taille moyenne journalire des paquets bloqus/g' \
	| sed 's/utilisateurs/prfixe journal/g' \
	| sed 's/utilisateur/prfixe journal/g' \
	| perl -pwe "s!^## This is a language file for analog!## Converted from $1 on `date` \\n## by mklangfile.fr.sh (from the fwanalog debian package)\\n## More info: /usr/share/doc/fwanalog\\n##\\n## This is a language file for analog!"
